<?php

declare(strict_types=1);

namespace App\Handler\Api;

use App\Service\JudgeManager;
use Psr\Container\ContainerInterface;
use Psr\Http\Server\RequestHandlerInterface;

class JudgesHandlerFactory
{
    public function __invoke(ContainerInterface $container) : RequestHandlerInterface
    {
        $judgeManager = $container->get(JudgeManager::class);
        return new JudgesHandler($judgeManager);
    }
}
